Summary: LDIF User Management
Name: ldifusermgmt
Version: 0.1.5
Release: 1
# URL: 
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
# openldap-servers are required because of slappasswd
Requires: openldap-servers openldap-clients mkntpwd expect

%description
LDIF user mangement tools with support for samba domains and automounter.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/etc/default
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}

cp -a etc/default/* $RPM_BUILD_ROOT/etc/default/.
cp -a bin/* $RPM_BUILD_ROOT/usr/bin/.
cp -a doc/* $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/ldifgenstruct
/usr/bin/ldifgroupadd
/usr/bin/ldifuseradd
/usr/bin/ldifuseraddlist
%config /etc/default/ldifusermgmt
%doc /usr/share/doc/%{name}-%{version}

